Summary: The ping program for checking to see if network hosts are alive.
Name: iputils
Version: 0.0.20020927
Release: 8tr
License: BSD
Group: Network/Monitoring
Source0: http://ftp.sunet.se/pub/os/Linux/ip-routing/iputils-ss020927.tar.gz
Source1: bonding-0.2.tar.gz
Source2: tftpd-xinetdd
Patch1: iputils-make.patch
Patch10: bonding-0.2-ifenslave.patch
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-root
Obsoletes: ping

%description
The iputils package contains ping, a basic networking tool.  The ping
command sends a series of ICMP protocol ECHO_REQUEST packets to a
specified network host and can tell you if that machine is alive and
receiving network traffic.

%package tftpd
Summary: tdt Daemon
Group: Network/Services
Requires: xinetd

%description tftpd
This package contains only the tftpd provided by iputils.


%prep
%setup -q -n %{name} -a 1

rm -f bonding-0.2/ifenslave
mv -f bonding-0.2/README bonding-0.2/README.ifenslave

%patch1 -p1
%patch10 -p1

%build
make
make ifenslave -C bonding-0.2

%install
rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}/{bin,sbin}
install -s -c arping		${RPM_BUILD_ROOT}/sbin/
install -s -c bonding-0.2/ifenslave ${RPM_BUILD_ROOT}/sbin/
install -s -c clockdiff		${RPM_BUILD_ROOT}%{_sbindir}/
install -s -c ping		${RPM_BUILD_ROOT}/bin/
install -s -c ping6		${RPM_BUILD_ROOT}%{_sbindir}/
install -s -c rarpd		${RPM_BUILD_ROOT}%{_sbindir}/
install -s -c rdisc		${RPM_BUILD_ROOT}%{_sbindir}/
install -s -c tftpd		${RPM_BUILD_ROOT}%{_sbindir}/
install -s -c tracepath		${RPM_BUILD_ROOT}%{_sbindir}/
install -s -c tracepath6	${RPM_BUILD_ROOT}%{_sbindir}/
#install -s -c traceroute6	${RPM_BUILD_ROOT}%{_sbindir}/

mkdir -p ${RPM_BUILD_ROOT}/%{_sysconfdir}/xinetd.d/
install -c %{SOURCE2}        ${RPM_BUILD_ROOT}/%{_sysconfdir}/xinetd.d/tftpd

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8
install -c doc/arping.8		${RPM_BUILD_ROOT}%{_mandir}/man8/
install -c doc/clockdiff.8	${RPM_BUILD_ROOT}%{_mandir}/man8/
install -c doc/ping.8		${RPM_BUILD_ROOT}%{_mandir}/man8/
install -c doc/rarpd.8		${RPM_BUILD_ROOT}%{_mandir}/man8/
install -c doc/rdisc.8		${RPM_BUILD_ROOT}%{_mandir}/man8/
install -c doc/tftpd.8		${RPM_BUILD_ROOT}%{_mandir}/man8/
install -c doc/tracepath.8	${RPM_BUILD_ROOT}%{_mandir}/man8/
#install -c doc/traceroute6.8	${RPM_BUILD_ROOT}%{_mandir}/man8/

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%pre tftpd
if [ -z "`getent group tftpd`" ] ; then
        /usr/sbin/groupadd -g 112 tftpd
fi
if [ -z "`getent passwd tftpd`" ] ; then
        /usr/sbin/useradd -M -d /tftpboot -g tftpd -s /bin/false -u 112 tftpd
fi

%post tftpd
# create /tftpboot if it does not exist
if [ ! -d /tftpboot ] ; then
	install -d -o tftpd -g tftpd -m 555 /tftpboot
fi

%files
%defattr(-,root,root)
%doc INSTALL RELNOTES bonding*/README.ifenslave
/sbin/arping
%{_sbindir}/clockdiff
%attr(4755,root,root)	/bin/ping
/sbin/ifenslave
%{_sbindir}/ping6
%{_sbindir}/rarpd
%{_sbindir}/tracepath6
#%{_sbindir}/traceroute6
%{_sbindir}/rdisc
%{_mandir}/man8/arping.8*
%{_mandir}/man8/clockdiff.8*
%{_mandir}/man8/ping.8*
%{_mandir}/man8/rarpd.8*
%{_mandir}/man8/rdisc.8*
%{_mandir}/man8/tracepath.8*

%files tftpd
%defattr(-,root,root)
%config %{_sysconfdir}/xinetd.d/tftpd
%{_sbindir}/tftpd
%{_mandir}/man8/tftpd.8*



%changelog
* Fri Aug  1 2003 Erlend Midttun <erlendbm at trustix dot com> 0.0.20020927-8tr
- Fixed typo in tftp description.

* Thu Jul  3 2003 Erlend Midttun <erlendbm at trustix dot com> 0.0.20020927-7tr
- Big rebuild

* Fri Jun 27 2003 Goetz Bock <bock at trustix dot org> 0.0.20020927-6bg
- moved tftpd into own package
- tftpd requires xinetd
- added xinetd.d config file for tftpd

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 0.0.20020927-5tr
- Big rebuild

* Fri May 23 2003 Tore Olsen <toreo at trustix dot com> 0.0.20020927-4to
- moved arping to /sbin, might be needed before /usr is mounted.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 0.0.20020927-3em
- Rebuilt against glibc 2.3.2.

* Thu Feb 20 2003 Christian H. Toldnes <christht at trustix dot com> 0.0.20020927-2ct
- traceroute6 is now provided by traceroute

* Mon Nov 11 2002 Erlend Midttun <erlendbm at trustix dot com> 0.0.20020927-1em
- New version.

* Mon Aug 26 2002 Gerald Dachs <gda at trustix dot org> 20001011-2gd
- changed obsolete defines (patch10)

* Fri Mar 30 2001 Erlend Midttun <erlendbm at trustix dot com>
- Changed version number.

* Thu Oct 26 2000 Erlend Midttun <erlendbm at trustix dot com>
- Adopted into TSL as replacement for ping package.
- Updated to ss001011.

* Tue Oct 10 2000 Jeff Johnson <jbj@redhat.com>
- update to ss001010.
- don't segfault as root with large buffers (#16677).

* Sun Oct  8 2000 Jeff Johnson <jbj@redhat.com>
- update to ss001007.

* Tue Aug  8 2000 Tim Waugh <twaugh@redhat.com>
- fix spelling mistake (#15714).

* Tue Aug  8 2000 Tim Waugh <twaugh@redhat.com>
- turn on -U on machines without TSC (#15223).

* Tue Aug  1 2000 Jeff Johnson <jbj@redhat.com>
- better doco patch (#15050).

* Tue Jul 25 2000 Jakub Jelinek <jakub@redhat.com>
- fix include-glibc/ to work with new glibc 2.2 resolver headers

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.
- update to ss000418.
- perform reverse DNS lookup only once for same input.

* Sun Mar  5 2000 Jeff Johnson <jbj@redhat.com>
- include README.ifenslave doco.
- "ping -i N" was broke for N >= 3 (#9929).
- update to ss000121:
-- clockdiff: preserve raw socket errno.
-- ping: change error exit code to 1 (used to be 92,93, ...)
-- ping,ping6: if -w specified, transmit until -c limit is reached.
-- ping,ping6: exit code non-zero if some packets not received within deadline.

* Tue Feb 22 2000 Jeff Johnson <jbj@redhat.com>
- man page corrections (#9690).

* Wed Feb  9 2000 Jeff Johnson <jbj@jbj.org>
- add ifenslave.

* Thu Feb  3 2000 Elliot Lee <sopwith@redhat.com>
- List /usr/sbin/rdisc in %files list.

* Thu Jan 27 2000 Jeff Johnson <jbj@redhat.com>
- add remaining binaries.
- casts to remove compilation warnings.
- terminate if -w deadline is reached exactly (#8724).

* Fri Dec 24 1999 Jeff Johnson <jbj@redhat.com>
- create (only ping for now, traceroute et al soon).
